#ifndef ProtoGenWrapper_OnPrimitiveBufferHasResult_H
#define ProtoGenWrapper_OnPrimitiveBufferHasResult_H

#include <string>
#include "MySerializable.h"

#include "DResult.h"

namespace ProtoGenWrapper
{
	class OnPrimitiveBufferHasResult : public MySerializable
	{
	public:
		OnPrimitiveBufferHasResult() = default;
		OnPrimitiveBufferHasResult(const DResult& result);
		virtual ~OnPrimitiveBufferHasResult() = default;

		DResult GetResult() const;
		void SetResult(const DResult& result);

		static int GetCommandType();
		
		void Serialize(std::string* output) const override;
		void Deserialize(const std::string& data) override;

	protected:
		DResult _result;
	};
}
#endif // ProtoGenWrapper_OnPrimitiveBufferHasResult_H